Get workflow run details
curl --request GET \
--url https://api.getcortexapp.com/api/v1/workflows/{tagOrId}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/workflows/{tagOrId}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/workflows/{tagOrId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"isRootAction": true,
"name": "<string>",
"outgoingActions": [
"<string>"
],
"schema": {
"headers": {},
"httpMethod": "GET",
"type": "<string>",
"url": "<string>",
"integration": "AzureDevops",
"integrationAlias": "<string>",
"payload": "<string>",
"targetHost": "<string>"
},
"slug": "<string>",
"state": {
"status": "NOT_INITIATED",
"inputs": {},
"metadata": {},
"outputs": {},
"variables": {}
},
"completedAt": "<string>",
"startedAt": "<string>"
}
],
"context": {},
"id": "<string>",
"status": "<string>",
"variables": {},
"workflow": {
"cid": "<string>",
"name": "<string>"
},
"completedAt": "<string>",
"initiatedBy": {
"type": "<string>",
"apiKey": {
"id": "<string>",
"last4": "<string>",
"type": "<string>",
"name": "<string>"
}
},
"runResponse": "<string>",
"startedAt": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Get workflow run details
Retrieve details of a specific workflow run.
API key must have the View workflow runs permission.
GET
/
api
/
v1
/
workflows
/
{tagOrId}
/
runs
/
{runId}
Get workflow run details
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
The tag or unique, auto-generated identifier for the workflow. Entity identifier - can be a tag or CID
Response
Successfully found workflow run
Actions and their states
Show child attributes
Show child attributes
Context of the run
Show child attributes
Show child attributes
Id of the run
Status of the workflow run
Variable values
Show child attributes
Show child attributes
Summary of the workflow
Show child attributes
Show child attributes
Time the workflow run completed
Who initiated the workflow run
- Option 1
- Option 2
Show child attributes
Show child attributes
Time the workflow run started
Last modified on September 29, 2026